Tíquete #9527

メール送信用ツールエージェントで送信先メールアドレスの複数指定ができない
: 2006-12-05 20:38 Última Atualização: 2008-04-04 15:36

Relator:
Dono:
Tipo:
Estado:
Fechado
Componente:
(Nenhum)
Marcos:
(Nenhum)
Prioridade:
3
Gravidade:
5 - Medium
Resolução:
Fixed
Arquivo:
1

Details

メール送信用ツールエージェントで送信先メールアドレスの
指定が複数可となっていま
すが、複数指定した場合にエラーとなります。現在は、プロ
セス変数"MAIL_TO_A
なお、"MAIL_TO_ADDRESS"に"foo1@bar"と1件のみを指定した
場合は送信成功しております。
以下はエラー時のログです。
お手数ですがご確認願えますでしょうか。

2006-12-04 22:01:52,549 INFO (JmsSessionDispatcher: 1)
I2001:
アプリケーションを開始します。(ApplicationName=MAIL,
WorkItemID=WI
I0000000001587, Attributes=[Ljp.co.argo21.nautica.work
2006-12-04 22:01:53,250 INFO (JmsSessionDispatcher: 1)
I2002: アプリケーションを開始しました。
2006-12-04 22:01:53,821 INFO (JmsSessionDispatcher: 1)
I2009: メールを送信します。
2006-12-04 22:01:54,041 ERROR (JmsSessionDispatcher: 1)
E2002:
アプリケーションを強制停止できませんでした。
(ToolAgentHandler=676, WorkIte
2006-12-04 22:01:54,041 WARN (JmsSessionDispatcher: 1)
W0002:
アプリケーション停止時
jp.co.argo21.nautica.workflow.wfmc.ApplicationNotStoppedException:
E2002:
アプリケーションを強制停止できませんでした。
(ToolAgentHandler=676, WorkIte
at
jp.co.argo21.nautica.workflow.ta.MailToolAgent.terminateApplication(MailTool
Agent.java:72)
at
jp.co.argo21.nautica.workflow.engine.AutomaticActivityBehavior.terminate(Aut
omaticActivityBehavior.java:261)
at
jp.co.argo21.nautica.workflow.engine.BehaviorExecutor.terminate(BehaviorExec
utor.java:142)
at
jp.co.argo21.nautica.workflow.engine.ActivityInternal.terminate(ActivityInte
rnal.java:1087)
at
jp.co.argo21.nautica.workflow.engine.ActivityInternal.terminate(ActivityInte
rnal.java:962)
at
jp.co.argo21.nautica.workflow.engine.ActivityInternal.changeState(ActivityIn
ternal.java:686)
at
jp.co.argo21.nautica.workflow.engine.WorkItemContainer.changeWorkItemState(W
orkItemContainer.java:363)
at
jp.co.argo21.nautica.workflow.engine.WorkItemHandlerImpl.changeWorkItemState
(WorkItemHandlerImpl.java:317)
at
jp.co.argo21.nautica.workflow.ta.AbstractToolAgentMessageAdapter.finalizeApp
lication(AbstractToolAgentMessageAdapter.java:169)
at
jp.co.argo21.nautica.workflow.ta.MailMessageAdapter.onMessage(MailMessageAda
pter.java:117)
at
jp.co.argo21.nautica.workflow.jms.WorkflowMessageAdapter.onMessage(WorkflowM
essageAdapter.java:68)
at
org.activemq.ActiveMQMessageConsumer.processMessage(ActiveMQMessageConsumer.
java:435)
at
org.activemq.ActiveMQSessionExecutor.dispatch(ActiveMQSessionExecutor.java:1
12)
at
org.activemq.ActiveMQSessionExecutor.run(ActiveMQSessionExecutor.java:97)
at java.lang.Thread.run(Thread.java:595)
2006-12-04 22:01:54,872 ERROR (JmsSessionDispatcher: 1)
E2011:
アプリケーションの実
javax.mail.internet.AddressException: Illegal address
in string ``foo1@bar,
foo2@bar''
at
javax.mail.internet.InternetAddress.<init>(InternetAddress.java:68)
at
jp.co.argo21.nautica.workflow.ta.MailExecutionInfo.parseInternetAddresses(Ma
ilExecutionInfo.java:328)
at
jp.co.argo21.nautica.workflow.ta.MailExecutionInfo.parse(MailExecutionInfo.j
ava:199)
at
jp.co.argo21.nautica.workflow.ta.MailMessageAdapter.sendMail(MailMessageAdap
ter.java:186)
at
jp.co.argo21.nautica.workflow.ta.MailMessageAdapter.onMessage(MailMessageAda
pter.java:103)
at
jp.co.argo21.nautica.workflow.jms.WorkflowMessageAdapter.onMessage(WorkflowM
essageAdapter.java:68)
at
org.activemq.ActiveMQMessageConsumer.processMessage(ActiveMQMessageConsumer.
java:435)
at
org.activemq.ActiveMQSessionExecutor.dispatch(ActiveMQSessionExecutor.java:1
12)
at
org.activemq.ActiveMQSessionExecutor.run(ActiveMQSessionExecutor.java:97)
at java.lang.Thread.run(Thread.java:595)

以上です。

Ticket History (3/4 Histories)

2006-12-05 20:45 Updated by: nito
  • (Category change on Tracker)
  • Resolução Update from Nenhum to Accepted
Comentário
Logged In: YES
user_id=1956

MailMessageAdapter.javaで、値をそのまま設定しているのが原因
と思われます。ここは、メールアドレスの配列を作成して渡すとう
まくいくのではないでしょうか。stringtokeniserを使うのがお手
軽そうです。
2006-12-08 13:23 Updated by: nito
Comentário
Logged In: YES
user_id=1956

以下の2案を検討し、第2案を採用しました。

1.InternetAddress.parse()を使う
2.MAIL_TO_ADDRESS1~MAIL_TO_ADDRESSnの変数指定

MAIL_TO_ADDRESS1~MAIL_TO_ADDRESSn (n >= 1)のプロセス変数を
指定できるよう、仕様を変更しました。この変更は、以下の3種類
になります。

MAIL_TO_ADDRESS1~MAIL_TO_ADDRESSn
MAIL_CC_ADDRESS1~MAIL_CC_ADDRESSn
MAIL_BCC_ADDRESS1~MAIL_BCC_ADDRESSn

正式には、1.0に反映しますが、暫定的にソースのパッチイメージ
を添付ファイルの方につけます。これは、
jp.co.argo21.nautica.workflow.ta.MailExecutionInfo.javaに対
するものです。
2006-12-08 13:25 Updated by: nito
  • File 1657: patch.txt is attached
2008-04-04 15:36 Updated by: nito
  • Ticket Close date is changed to 2008-04-04 15:36
  • Resolução Update from Accepted to Fixed
  • Estado Update from Aberto to Fechado

Attachment File List

  • patch.txt(4KB)
    • #9527対応MailExecutionInfo.java

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login